{
  "id": "menuBannerTable",
  "selection": {
    "type": "single",
    "idField": "id"
  },
  "header": {
    "countType": "total",
    "orderType": "desc",
    "pageType": "default",
    "buttons": [
      {
        "id": "delete",
        "text": "선택 삭제",
        "theme": "line",
        "disableWhen": "noSelection",
        "requiredAuth": "battleEventDelete",
        "action": "delete"
      },
      {
        "id": "register",
        "text": "이미지 등록",
        "theme": "primary",
        "requiredAuth": "battleEventUpdate",
        "action": "navigate",
        "navigateTo": "/servicemanage/menubanner/menubannerregist"
      }
    ]
  },
  "columns": [
    {
      "id": "checkbox",
      "type": "checkbox",
      "width": "40px",
      "title": ""
    },
    {
      "id": "row_num",
      "type": "text",
      "width": "70px",
      "title": "번호"
    },
    {
      "id": "status",
      "type": "status",
      "width": "100px",
      "title": "등록 상태",
      "option_name": "opMenuBannerStatus"
    },
    {
      "id": "start_dt",
      "type": "date",
      "width": "200px",
      "title": "시작일(KST)",
      "format": {
        "type": "function",
        "name": "convertKTC"
      }
    },
    {
      "id": "end_dt",
      "type": "date",
      "width": "200px",
      "title": "종료일(KST)",
      "format": {
        "type": "function",
        "name": "convertKTC"
      }
    },
    {
      "id": "title",
      "type": "text",
      "title": "설명 제목"
    },
    {
      "id": "is_link",
      "type": "option",
      "width": "90px",
      "title": "링크여부",
      "option_name": "opYNType"
    },
    {
      "id": "detail",
      "type": "button",
      "width": "120px",
      "title": "상세보기",
      "text": "상세보기",
      "action": {
        "type": "modal",
        "target": "detailModal",
        "dataParam": {
          "id": "id"
        }
      }
    },
    {
      "id": "update_by",
      "type": "text",
      "width": "150px",
      "title": "히스토리"
    }
  ],
  "sort": {
    "defaultColumn": "row_num",
    "defaultDirection": "desc"
  }
}